Skip to content
StratifyIQ Docs
Esc
↑↓navigate↵open⌘Jpreview

GET /api/agents

Tenant-filtered durable and connected endpoint inventory; includes offline endpoints.

GET/api/agents
Authorization
AuthorizationBearer token · headerrequired
Responses
200

Authorized read result

Array of AgentSummary
agent_idstringrequired
archstringrequired
client_idstring
connected_atstring<date-time>
connection_statestringrequired
disconnected_atstring<date-time>
enrolled_atstring<date-time>
hostnamestringrequired
is_onlinebooleanrequired
last_heartbeatstring<date-time>
osstringrequired
update_ringstring
versionstringrequired
default

Authorization, attribution, provider or transport failure. Never healthy empty data.

string
Response
[
  {
    "agent_id": "string",
    "arch": "string",
    "client_id": "string",
    "connected_at": "2019-08-24T14:15:22Z",
    "connection_state": "string",
    "disconnected_at": "2019-08-24T14:15:22Z",
    "enrolled_at": "2019-08-24T14:15:22Z",
    "hostname": "string",
    "is_online": true,
    "last_heartbeat": "2019-08-24T14:15:22Z",
    "os": "string",
    "update_ring": "string",
    "version": "string"
  }
]

Was this page helpful?